MonoMac 0.0.0.0 MonoMac.Foundation.NSObject MonoMac.Foundation.Register("NSString", true) The Foundation String class. To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("init")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Default constructor that initializes a new instance of this class with no parameters.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Constructor
  0.0.0.0
  A string.
  Creates an NSString from a C# string.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("characterAtIndex:")
  System.Char `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Drawing.RectangleF `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("capitalizedStringWithLocale:")
  System.String `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("compare:")
  MonoMac.Foundation.NSComparisonResult `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("compare:options:")
  MonoMac.Foundation.NSComparisonResult `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("compare:options:range:")
  MonoMac.Foundation.NSComparisonResult `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("compare:options:range:locale:")
  MonoMac.Foundation.NSComparisonResult `` `` `` `` To be added. To be added. To be added.

  Locale to use for the comparison.

  This parameter can be .

  To be added. To be added. To be added.
- Method
  0.0.0.0
  System.IntPtr `` C# String to wrap Creates an Objective-C NSString from the C# string and returns a pointer to it. Pointer to the NSString object, must be released with ReleaseNative.

  This method creates an Objective-C NSString and returns an IntPtr that points to it. This does not create the managed NSString object that points to it, which is ideal for transient strings that must be passed to Objectiv-C as it is not necessary for Mono's Garbage collector or the MonoMac/MonoMac engines to track this object.

  The memory associated with this object should be released by calling the method.

  `IntPtr objcString = NSString.CreateNative ("Hello"); // You can pass objcString to any methods that expect an Objective-C NSString pointer NSString.ReleaseNative (objcString);`
- Method
  0.0.0.0
  System.Obsolete("Use Encode instead")
  MonoMac.Foundation.NSData `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use Encode instead")
  MonoMac.Foundation.NSData `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.NSData `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.NSData `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.NSString `` `` The byte buffer. Use this encoding to intepret the byte buffer. Creates an NSString from an NSData source. An NSString created by parsing the byte buffer using the specified encoding.
- Method
  0.0.0.0
  System.String `` Pointer to an Objective-C NSString object (not the managed NSString object). Utility method that returns a string from a pointer that points to an Objective-C NSString object. The Objective-C string in the NSString as a C# string.
- Method
  0.0.0.0
  System.Int32 Generates a hash code for the current instance. A int containing the hash code for this instance. The algorithm used to generate the hash code is unspecified.
- Property
  0.0.0.0
  System.Char `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("length")
  System.Int32 To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.NSString `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.String `` The NSString. Converts the NSString to a CIL/C# string.
- Method
  0.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` Pointer (handle) to the unmanaged object. A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Method
  0.0.0.0
  MonoMac.Foundation.Export("stringByReplacingCharactersInRange:withString:")
  MonoMac.Foundation.NSString `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Drawing.SizeF `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("lowercaseStringWithLocale:")
  System.String `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.String Returns a string representation of the value of the current instance.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("uppercaseStringWithLocale:")
  System.String `` To be added. To be added. To be added. To be added.